Categories
Linux Mastering Development

NPi i.MX6ULL Linux SBC – Difficulty Finding Linux Headers

I am currently using a NPi i.MX6ULL Dev Board Linux SBC. I am trying to get SPI functionality up and running by following the tutorials that are on: https://wiki.seeedstudio.com/NPi-i.MX6ULL-Dev-Board-Linux-SBC/#spi One of the commands that you run in this tutorial is: apt install -y make git device-tree-compiler linux-headers-$(uname -r) gcc When I run this command, I […]

Categories
Linux Mastering Development Ubuntu

Unable to install Docker on Ubuntu after unscheduled shutdown

This is my first question, so I hope I’m asking the right way. I am running docker inside a VirtualBox VM (guest OS is Ubuntu 18.04) bink@bink-VirtualBox:~$ lsb_release -a No LSB modules are available. Distributor ID: Ubuntu Description: Ubuntu 18.04.4 LTS Release: 18.04 Codename: bionic The other day I had an "unscheduled reboot" (i.e. power […]

Categories
Linux Mastering Development

fail to install packages into image via virt-customize?

I’ve just got this issue recently, before that I can install zsh, nfs-common to bionic image successfully. I tried to downgrade libvirt to 5.9 but no luck. I download image from here libvirt 6.4.0-1 / archlinux up-to-date export LIBGUESTFS_DEBUG=1 LIBGUESTFS_TRACE=1 virt-customize -a bionic-server-cloudimg-amd64.img –install zsh,nfs-common [ 0.0] Examining the guest … commandrvf: mount –bind /sys/fs/selinux […]

Categories
Linux Mastering Development Ubuntu

How to install libseccomp for different CPU arch

I am trying to install libseccomp-dev:armhf (and arm64) on Ubuntu bionic (same on Xenial). I’m doing this because I would like to cross compile something that depends on libseccomp-dev. This works fine on Ubuntu Focal, as well as Debian Stretch/Buster. On Ubuntu Xenial and Bionic, attempting to install libseccomp-dev for a different CPU arch attempts […]

Categories
Linux Mastering Development Ubuntu

D-Bus >= 1.6 required

I am trying to make Bluez work for Kubuntu, and after reading some threads, it seems this command is supposed to make it all work: sudo apt install libdbus-1-dev libudev-dev libical-dev libreadline-dev This is needed because of Bluez’s ./configure otherwise falls with the error D-Bus >= 1.6 is required. However, when I issue the command […]

Categories
Linux Mastering Development Ubuntu

Ubuntu 19.10 Software Updater not working

The Software Updater app on my system fails. It lists the packages that need to update, but after I click install the app works for a few seconds and then blinks into non-existence. I use Ubuntu 19.10 with “AMD® A10-5700 apu with radeon(tm) hd graphics × 4 “ When I run apt-get upgrade or apt-get […]

Categories
Linux Mastering Development Ubuntu

Ubuntu 19.10 Software Updater not working

The Software Updater app on my system fails. It lists the packages that need to update, but after I click install the app works for a few seconds and then blinks into non-existence. I use Ubuntu 19.10 with “AMD® A10-5700 apu with radeon(tm) hd graphics × 4 “ When I run apt-get upgrade or apt-get […]

Categories
Development Linux Ubuntu

Error installing PHP 7.4 on Ubuntu 19.04

I’m trying to install PHP 7.4 on Ubuntu 19.04 via ondrej/php repo. However, I’m getting an error: Unable to locate package php7.4 Output of terminal in order of commands: apt update && apt upgrade Hit:1 http://ppa.launchpad.net/ondrej/php/ubuntu disco InRelease Hit:2 http://security.ubuntu.com/ubuntu disco-security InRelease Hit:3 http://us.archive.ubuntu.com/ubuntu disco InRelease Hit:4 http://us.archive.ubuntu.com/ubuntu disco-updates InRelease Get:5 http://us.archive.ubuntu.com/ubuntu disco-backports InRelease [88.8 […]

Categories
Development Linux

Ubuntu MySQL Failing install with Apt-Get

I previously had MariaDB installed and I’m wanting to install MySQL 5.7 on my server. I purged all files with mariadb and mysql. Though when I install MySQL-Server-5.7 I get the following error. (When searching the error seems to be because of the previous install of Maria). Also in the log you will see mysql-common […]

Categories
Development

Trying to download the latest version of pandoc in circleci build script

I’m trying to do a conversion of my README from markdown to reStructuredText using pandoc so I can build an egg which can be deployed to pypi. Unfortunately the version of pandoc that circleci is uing (1.17.2) is having an issue with how I have some tables structured. It looks like like if I use […]